/* Copyright (c) 1997, MpegTV LLC */
#ifndef _vci_api_h
#define _vci_api_h
#ifndef lint
static char rcsid_vci_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/vci_api.h,v 1.4 1997/11/27 23:27:47 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "misc.h"
#include "com_api.h"

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/* YUV is for Y, U and V plane indexes */
typedef enum {Y=0, U=1, V=2} YUV;

/* image plane */
typedef struct {
	u_int		width;
	u_int		height;
	u_char	*array;		/* ptr to plane data */
} PLANE;

/* image */
typedef struct {
	PMP_DATA_FRAME_INFOS	frame_infos;
	Bool	decoded;
	void	(*free_func)(void *);
	PLANE	plane[3];	/* Y, U, and V */
} YUV_IMAGE;


/*--------------------------------------------------------------------------+
| Externals																	|
+--------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

extern int vci_feedback(const void *, u_int);

extern int VCI_cntl(const void *, u_int);
extern int VCI_notify(const YUV_IMAGE *);
extern void *VCI_alloc(size_t);
extern void VCI_free(void *);

#ifdef __cplusplus
}
#endif

#endif /* _vci_api_h */
